| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
SDL
SDL.Surface

# Method SDL.Surface()->get_pixel()

Method get_pixel

  `int get_pixel(int x, int y)`

Description

  Get the value of the specified pixel. The surface needs to be locked before this method can be used.

Parameter `x`
Parameter `y`

  Pixel coordinate to get.

Returns

  The value of the specified pixel.

See also

  set_pixel() , unlock() , lock()